package infra

import "golang.org/x/crypto/bcrypt"

// PasswordVerify compara un password en texto plano contra un hash bcrypt.
// Retorna nil si hacen match, error si no.
func PasswordVerify(password string, hash string) error {
	return bcrypt.CompareHashAndPassword([]byte(hash), []byte(password))
}
